<app-breadcrumb-admin [single]="true" titlePage="Productos"></app-breadcrumb-admin>

<h3 class="text-capitalize">
  <fa-icon [icon]="faTable"></fa-icon>&nbsp;
  Productos
</h3>
<div class="row">
  <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
    <div class="card mb-3">
      <div class="card-header">
        <div class="row">
          <div class="col-12">
            <h3 class="float-start text-primary">
              <a [routerLink]="['/admin/products/create']" class="btn btn-outline-secondary">
                <fa-icon [icon]="faPlus"></fa-icon>&nbsp;
                <span class="text-capitalize">Agregar Producto</span>
              </a>
            </h3>
          </div>
        </div>
      </div>
      <div class="card-body">
        <div class="table-responsive">
          <table id="dataTable" class="table table-bordered table-hover display" style="width:100%">
            <thead class="bg-primary  text-white">
            <tr>
              <th>Imagen</th>
              <th>Nombre</th>
              <th>Acciones</th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let product of products |  paginate: { itemsPerPage: 5, currentPage: page }; let i=index">
              <td width="100px">
                <a [routerLink]="['/admin/products/edit', product._id]" title="Editar">
                  <img src="assets/images/missing.png" alt="Sin Imagen" class="img-fluid" *ngIf="!product.image">
                  <img [src]="product._id | image: 'products'" [alt]="product.image" class="img-fluid" *ngIf="product.image" (error)="replaceImage(image)" #image>
                </a>
              </td>
              <td align="bottom" height="100">
                <a [routerLink]="['/admin/products/edit', product._id]" title="Editar">
                  <span *ngIf="serviceTranslation.getLang() == 'es'">
                    <span *ngIf="product.name.es">{{ product.name.es }}</span>
                    <span *ngIf="!product.name.es">Editar</span>
                  </span>
                      <span *ngIf="serviceTranslation.getLang() == 'en'">
                    <span *ngIf="product.name.en">{{ product.name.en }}</span>
                    <span *ngIf="!product.name.en">Editar</span>
                  </span>
                </a>
              </td>
              <td width="100px" class="text-center " >
                <fa-icon [icon]="faPowerOff" [ngClass]="{'text-success': product.active, 'text-danger': !product.active }"
                         class="ms-1 cursor"
                         title="Activo"
                         (click)="active(product._id, product.active)" >
                </fa-icon>
                <fa-icon [icon]="faTrashAlt"
                         class="text-danger ms-1 cursor"
                         title="Eliminar"
                         (click)="delete(product._id)">
                </fa-icon>
              </td>
            </tr>
            </tbody>
          </table>
          <pagination-controls  (pageChange)="page = $event"
                                (pageBoundsCorrection)="page = $event"
                                [maxSize]=9
                                [directionLinks]=true
                                [autoHide]=true
                                [responsive]=true
                                previousLabel="Anterior"
                                nextLabel="Siguente"
                                screenReaderPaginationLabel="Pagination"
                                screenReaderPageLabel="page"
                                screenReaderCurrentLabel="You're on page">
          </pagination-controls>
        </div>
        <!-- end table-responsive-->
      </div>
      <!-- end card-body-->
    </div>
    <!-- end card-->
  </div>
</div>
